# PETALS: PETALS Services Platform
# Copyright (C) 2005  EBM WebSourcing
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public
# License along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
# USA.
#
# Initial developer(s): EBM WebSourcing


handlers=java.util.logging.FileHandler, java.util.logging.ConsoleHandler

java.util.logging.FileHandler.level = FINEST
java.util.logging.FileHandler.pattern = ${petals.home}/logs/petals.log
java.util.logging.FileHandler.formatter = org.ow2.petals.commons.logger.PetalsSimpleFormatter
java.util.logging.FileHandler.append = true

java.util.logging.ConsoleHandler.level = FINEST
java.util.logging.ConsoleHandler.formatter = org.ow2.petals.commons.logger.PetalsSimpleFormatter

##Root level
.level = FINEST

##Petals level
Petals.level = FINEST

#Petals.PetalsAdminService.level = FINEST
#Petals.AutoLoaderService.level = FINEST
#Petals.ConfigurationService.level = FINEST

#Petals.Container.level = FINEST
#Petals.Container.ContainerService.level = FINEST
#Petals.Container.Components.level = FINEST

#Petals.Container.Lifecycle.level = FINEST 
#Petals.Container.Lifecycle.ComponentLifeCycle.level = FINEST 
#Petals.Container.Lifecycle.Installer.level = FINEST
#Petals.Container.Lifecycle.ServiceAssemblyLifeCycle.level = FINEST
#Petals.Container.Lifecycle.SharedLibraryLifeCycle.level = FINEST

#Petals.Communication.level = FINEST
#Petals.Communication.TopologyService.level = FINEST
#Petals.Communication.JNDIAgentService.level = FINEST
#Petals.Communication.JNDIService.level = FINEST
#Petals.Communication.JMXService.level = FINEST
#Petals.Communication.RMIConnector.level = FINEST
#Petals.Communication.RemoteCheckerClient.level = FINEST

#Petals.Tools.WebServiceManager.level = FINEST

#Petals.System.level = FINEST
#Petals.System.PersistenceService.level = FINEST
#Petals.System.LoaderManagerService.level = FINEST
#Petals.System.SystemStateService.level = FINEST
#Petals.System.RepositoryService.level = FINEST
#Petals.System.Artifact.FractalArtifactRepositoryService.level = FINEST

#Petals.JBI-Management.level = FINEST
#Petals.JBI-Management.AdminService.level = FINEST
#Petals.JBI-Management.SystemRecoveryService.level = FINEST
#Petals.JBI-Management.InstallationService.level = FINEST
#Petals.JBI-Management.ComponentInstallationService.level = FINEST
#Petals.JBI-Management.DeploymentService.level = FINEST
#Petals.JBI-Management.AtomicDeploymentService.level = FINEST
#Petals.JBI-Management.TransactionManager.level = FINEST

#Petals.JBI-Messaging.level = FINEST
#Petals.JBI-Messaging.RouterMonitorService.level = FINEST
#Petals.JBI-Messaging.RouterService.level = FINEST
#Petals.JBI-Messaging.FlowControllerModule.level = FINEST
#Petals.JBI-Messaging.FlowFilterModule.level = FINEST
#Petals.JBI-Messaging.PriorityOrdererModule.level = FINEST
#Petals.JBI-Messaging.TransportResolverModule.level = FINEST
#Petals.JBI-Messaging.AuthorizationModule.level = FINEST
#Petals.JBI-Messaging.EndpointResolverModule.level = FINEST
#Petals.JBI-Messaging.JAASAuthenticationModule.level = FINEST
#Petals.JBI-Messaging.PriorityOrdererModule.level = FINEST
#Petals.JBI-Messaging.EndpointRegistry.level = FINEST
#Petals.JBI-Messaging.JMXExchangeCheckerClient.level = FINEST

#Petals.JBI-Component.ComponentContext.level = FINEST

#Petals.Transporter.level = FINEST
#Petals.Transporter.LocalTransporter.level = FINEST
#Petals.Transporter.NioTransporter.level = FINEST
#Petals.Transporter.NioTransportProtocol.NioSelectorAgent.level = FINEST
#Petals.Transporter.NioTransportProtocol.NioServerAgent.level = FINEST
#Petals.Transporter.NioTransportProtocol.NioClientObjectPool.level = FINEST

#Petals.WS.level = FINEST
#Petals.WS.ArtifactRepositoryService.level = FINEST
#Petals.WS.DeploymentService.level = FINEST
#Petals.WS.DragonConnectionService.level = FINEST
#Petals.WS.EndpointService.level = FINEST
#Petals.WS.InformationService.level = FINEST
#Petals.WS.InstallationService.level = FINEST
#Petals.WS.JBIArtefactsService.level = FINEST
#Petals.WS.RuntimeService.level = FINEST
#Petals.WS.ServiceAssemblyStateService.level = FINEST
#Petals.WS.TopologyService.level = FINEST




